summarylogtreecommitdiffstats
path: root/c99
diff options
context:
space:
mode:
authorJonathon Fernyhough2022-05-09 12:17:39 +0100
committerJonathon Fernyhough2022-05-09 12:17:39 +0100
commitc07ae0266d75e44e2c18632c654564e765cb820c (patch)
tree9d0f48a977d166b4412d828b2f1c8ce0d3cb0563 /c99
downloadaur-c07ae0266d75e44e2c18632c654564e765cb820c.tar.gz
Initial commit for 11.2.0
Diffstat (limited to 'c99')
-rw-r--r--c9910
1 files changed, 10 insertions, 0 deletions
diff --git a/c99 b/c99
new file mode 100644
index 000000000000..22a3b9b9425d
--- /dev/null
+++ b/c99
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc-11 $fl ${1+"$@"}